Bug 1255208 - [RFE] "Hammer capsule list" list capsules in the order of capsule names
[RFE] "Hammer capsule list" list capsules in the order of capsule names
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule - Content (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 21:25 EDT by Pradeep Kumar Surisetty
Modified: 2016-12-19 09:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kumar Surisetty 2015-08-19 21:25:57 EDT
Description of problem:

Presently "Hammer capsule list" list capsules in the order of capsule names (alphanumeric) as shown below. Once we start scaling up capsules, this would be difficult to track. 
If used remove one of the capsule, it would be difficult to track which one is active.  Listing capsules in the order of ID's would  be lot easier to track. 


171 | vmcapsule171.perf.lab.eng.rdu.redhat.com   | https://vmcapsule171.perf.lab.eng.rdu.redhat.com:9090  
174 | vmcapsule172.perf.lab.eng.rdu.redhat.com   | https://vmcapsule172.perf.lab.eng.rdu.redhat.com:9090  
181 | vmcapsule178.perf.lab.eng.rdu.redhat.com   | https://vmcapsule178.perf.lab.eng.rdu.redhat.com:9090  
180 | vmcapsule189.perf.lab.eng.rdu.redhat.com   | https://vmcapsule189.perf.lab.eng.rdu.redhat.com:9090  
177 | vmcapsule190.perf.lab.eng.rdu.redhat.com   | https://vmcapsule190.perf.lab.eng.rdu.redhat.com:9090  
178 | vmcapsule191.perf.lab.eng.rdu.redhat.com   | https://vmcapsule191.perf.lab.eng.rdu.redhat.com:9090  
176 | vmcapsule192.perf.lab.eng.rdu.redhat.com   | https://vmcapsule192.perf.lab.eng.rdu.redhat.com:9090  
179 | vmcapsule193.perf.lab.eng.rdu.redhat.com   | https://vmcapsule193.perf.lab.eng.rdu.redhat.com:9090  
175 | vmcapsule194.perf.lab.eng.rdu.redhat.com   | https://vmcapsule194.perf.lab.eng.rdu.redhat.com:9090  
173 | vmcapsule195.perf.lab.eng.rdu.redhat.com   | https://vmcapsule195.perf.lab.eng.rdu.redhat.com:9090  







Version-Release number of selected component (if applicable):

6.1 GA

How reproducible:



Steps to Reproduce:
1.Create capsules with different names.
2.
3.

Actual results:

Listing capsules in the order of capsule names.
Expected results:

List capsules in the order of capsule ID's

Additional info:
Comment 1 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2016-07-26 11:41:38 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.